<script lang="ts">
  import SkillRoll from './SkillRoll.svelte'
  import type { BaseCharacter } from '../../module/model/character.js'
  import type { ModifierDescriptor } from '../../module/model/modifier.js'
  import type { Formula } from '../../module/model/properties.js'

  export var localize: (_key: string) => string
  export var skill: Formula
  export var character: BaseCharacter

  export var callback: (
    modifiers: Map<string, ModifierDescriptor>,
    options?: Record<string, unknown>
  ) => void
  export var modifiers = new Map<string, ModifierDescriptor>()

  modifiers = character?.formulaModifier(skill, modifiers)
</script>

<SkillRoll bind:modifiers {callback} {localize} {skill} />
